# $Revision: 1.22 $, $Date: 2006/07/26 23:06:54 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	DBD
%define		pnam	Chart
Summary:	DBD::Chart - DBI driver abstraction for rendering charts and graphs
Summary(pl):	DBD::Chart - warstwa abstrakcji DBI do tworzenia wykresw i grafw
Name:		perl-DBD-Chart
Version:	0.82
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	82490f3598c9381030f3e27816dd6f4e
URL:		http://search.cpan.org/dist/DBD-Chart/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-DBI >= 1.14
BuildRequires:	perl-GD >= 2
BuildRequires:	perl-GD-TextUtil >= 0.80
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The DBD::Chart provides a DBI abstraction for rendering pie charts,
bar charts, box&whisker charts (aka boxcharts), histograms, Gantt
charts, and line, point, and area graphs.

%description -l pl
Modu DBD::Chart udostpnia warstw abstrakcji DBI do rysowania
wykresw koowych, supkowych i pudekowych, histogramw, wykresw
Gantta oraz grafw zoonych z linii, punktw i obszarw.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc imgs *.html
%{perl_vendorlib}/%{pdir}/*.pm
%{perl_vendorlib}/%{pdir}/%{pnam}
%{_examplesdir}/%{name}-%{version}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DBD-Chart.spec,v $
Revision 1.22  2006/07/26 23:06:54  glen
- 0.82, generic URL

Revision 1.21  2005/06/14 06:22:38  petec
- up to 0.81

Revision 1.20  2004/11/03 22:30:15  paladine
- formatting

Revision 1.19  2004/05/07 01:09:19  ankry
- rel. 3

Revision 1.18  2004/05/06 18:09:27  ankry
- fixed perl-devel BR

Revision 1.17  2004/04/25 06:25:06  ankry
- cosmetics: unification

Revision 1.16  2004/04/20 10:08:06  ankry
- new bconds

Revision 1.15  2004/04/14 14:47:10  ankry
- cosmetics

Revision 1.14  2003/09/09 10:24:31  ankry
- spaces -> tab

Revision 1.13  2003/08/18 08:08:38  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.12  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.9  2003/03/01 18:04:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.8  2003/02/25 00:38:30  radek
- use the __perl macro

Revision 1.7  2003/02/18 15:30:25  ankry
- massive attack: change CPAN URLs

Revision 1.6  2002/11/08 18:09:24  radek
- version 0.80

Revision 1.5  2002/09/21 15:01:55  radek
- version 0.74

Revision 1.4  2002/09/06 19:19:09  radek
- enabled tests

Revision 1.3  2002/09/05 21:10:54  radek
- version 0.72
- added examples and missing html documentation,
  fixed BRs, improved (?) pl summary/description

Revision 1.2  2002/08/25 00:27:22  qboosh
- pl description

Revision 1.1  2002/08/24 17:04:41  radek
- new, STBR
